<launch>

  <node pkg="rviz" type="rviz" name="rviz" args="-d $(find lab_localization)/rviz/c270.rviz"/>
  <node pkg="tf" type="static_transform_publisher" name="world_to_cam" 
    args="0.15745 0.25333 0.4722 0.17858 0.93835 -0.28959 -0.061177 world camera 10" />
  <node ns="camera" pkg="image_proc" type="image_proc" name="image_proc"/>
  <node ns="camera" pkg="uvc_camera" type="uvc_camera_node" name="uvc_camera"
      output="screen">
      <param name="width" type="int" value="1280" />
      <param name="height" type="int" value="960" />
      <param name="fps" type="int" value="10" />
      <param name="frame" type="string" value="camera" />
      <param name="device" type="string" value="/dev/video1" />
      <param name="camera_info_url" type="string"
        value="file://$(find lab_localization)/yaml/c270_720.yaml" />
  </node>

	<arg name="nof_markers" default="4" />
        <arg name="marker_size" default="18" />
	<arg name="max_new_marker_error" default="0.08" />
	<arg name="max_track_error" default="0.2" />
	<arg name="cam_image_topic" default="/camera/image_color" />
	<arg name="cam_info_topic" default="/camera/camera_info" />
	<arg name="output_frame" default="/camera" />

	<node name="ar_track_alvar" pkg="ar_track_alvar" type="individualMarkersNoKinect" respawn="false" output="screen">
		<param name="marker_size"           type="double" value="$(arg marker_size)" />
		<param name="max_new_marker_error"  type="double" value="$(arg max_new_marker_error)" />
		<param name="max_track_error"       type="double" value="$(arg max_track_error)" />
		<param name="output_frame"          type="string" value="$(arg output_frame)" />

		<remap from="camera_image"  to="$(arg cam_image_topic)" />
		<remap from="camera_info"   to="$(arg cam_info_topic)" />
</node>


</launch>
